Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® World™ Development

Reply
Developer
gregzav
Posts: 170
Registered: ‎01-17-2009
My Device: 9630

Upgrading problems for my customers

Hi there,

 

I've been getting a lot of emails recently from customers who are unable to upgrade to a new release of any of my applications. This doesn't pertain to all of my customers, as some are able to upgrade without a problem. For the rest they are getting the message that the upgrade is not available on BlackBerry App World.

 

Here is a sample email:

 

I purchased [My App Name] several months ago from the BB APP World. I just downloaded the
BB 5.0 system. My version did not work with 5 
0, but I see an free upgrade is available
When I try to download it I get an error message that it is not available in BB app
world.

 

I've checked the settings for my applications through the vendor portal and everything is normal. Here are my settings:

Carrier Restrictions: Available on all carriers

Country Restrictions: Available in all countries

Licensing: Paid, Static

Current Release: Upgrade pricing is free, Support all devices is checked

 

The one thing I did notice was that for my first release some devices weren't supported. They were supported in later releases, as I had "Support all devices" checked. Could that be the problem?

 

Anybody else seeing these issues?

 

Developer
RLord321
Posts: 343
Registered: ‎02-23-2009
My Device: 8700 | 8310 | BOLD | STORM

Re: Upgrading problems for my customers

Yes. That would be the problem if you selected supports all devices.  The email that we got from RIM says that if you had supports all devices, that the new model will automatically be added to your list.

 

My question is that I've seen other posts on here that says their 4.6.x/4.7 version of the apps don't work on the 5.0 OS isn't this supposed to be backwards compatible?  Is this backward compatibility missing from 5.0??  Did the 5.0 OS deprecate and actually remove some API's?

Developer
toddustby
Posts: 17
Registered: ‎12-21-2009
My Device: Not Specified

Re: Upgrading problems for my customers

Did you ever find a solution to make your app that works on the 4.7 OS to work on the 5.O OS?

 

Thanks,

Todd